Bug 55978 - XWindows locks up under concurrent OpenGL (Mesa) and I/O
XWindows locks up under concurrent OpenGL (Mesa) and I/O
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-09 14:24 EST by Rick Gaudette
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-11 20:43:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Gaudette 2001-11-09 14:24:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011013

Description of problem:
X-Windows locks up under concurrent OpenGL (Mesa) and I/O on Athlon based
motherboards with VIA and AMD chipsets and AGP enabled.  This problem does
NOT occur on Pentium III and Pentium IV based systems with Intel chipsets.
 Nor, if AGP is disabled.

Using either OpenGL sample applications (morph3d, teapot), a solar system
simulation app called ssystem, or our own application IMOD along with
concurrent I/O causes all of our Athlon based systems to hang within a
couple of hours.  We can usually ssh into the hung machine from another
machine and kill the application to bring back X.  Top shows that the app
is either using all of CPU cycles or splitting it evenly with X.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Reproduction Procedure:
Run an OpenGL app such ssystem
http://linux.tucows.com/home/preview/9981.html or our IMOD
ftp://bio3d.colorado.edu/pub/graphicstest/obj7.mod.gz .  

To run ssystem:
  tar -xzvf solartest.tar.gz
  cd solartest/ssystem
  ./ssystem
  resize thewindow greater than 800x800

To run IMOD:
  gunzip obj7.mod.gz
  imodv obj7.mod
  You should get a 512x512 window with a model displayed in it.
  Type 5 then 6 on the numeric keypad to start the model spinning.


A simple way to do persistent concurrent I/O:
  Create a file called bigfile larger than the RAM size of the computer
  under tcsh 
    while (1)
    \cp bigfile bigfile1
    end
	

Actual Results:  X will appear to hang within 3 hours on all of our
machines. Sometimes the display will hang until the next mouse or keyboard
event.  This  is a bad sign and is usually a precursor to a full hang-up.


Expected Results:  Machine should have continued running with X responding
normally

Additional info:

We have tried many hardware combinations that include both VIA and AMD
chipsets, NVIdia and Matrox video cards, below is a list of motherboards,
video cards and RedHat version for which we have observed and can reproduce
this behavior:

CPUs:
  Athlon 1.0 -1.4 GHz
  Athlon MP 1800+

Motherboards:
  IWILL KK-266
  ABIT KT-7/KT-7a/KT-7A-Raid
  ABIT KG-7-RAID
  Tyan Tiger MP (S2460)

Video cards:
  NVidia Geforce2 MX, Ultra
  NVidia Geforce3 and Geforce3 Titanium 500
  Nvidia drivers: 1.0-1512 and 1.0-1541
  Matrox G400 with 1.3 drivers and XFree86 4.0.3 drivers

OS Versions:
  Red Hat 7.1
  Red Hat 7.1 with kernel upgrades from redhat.com
  Red Hat Roswell
  Red Hat Roswell with ALL upgrades from Red Hat Network
  Red Hat 7.2
  SUSE 7.1

Xfree86 versions 4.0.3 and 4.1.0

Typical system config:
  40 GB IDE (ATA-100) hard disk
  Generic CD-ROM
  Generic network card (100BT)
  1-1.5 GB RAM
  400 watt or greater power supply
Comment 1 Mike A. Harris 2001-11-11 20:43:53 EST
Red Hat Linux does not support 3D acceleration on any Nvidia hardware.
Red Hat does not support Nvidia's binary only drivers, you'll have to
contact Nvidia for any bugs encountered while using their drivers unless
the problem can be reproduced without loading any non Red Hat supplied
kernel modules with the stock supplied XFree86.

The G400 should work with the supplied drivers.  Usage of Matrox's
website drivers and/or binary only hallib is not supported.

If you are having a problem with the G400 using the Red Hat supplied
XFree86 drivers, please attach your XFree86 config file, and your
XFree86 server log using the link below, and I will try to reproduce.
Also, please include your /var/log/messages.
Comment 2 Mike A. Harris 2002-01-23 11:02:47 EST
It is possible the problem you are experiencing is the recently
discovered Athlon PSE/AGP bug, which is discussed on the linux-kernel
mailing list.  I suggest you try booting your machine with the
"nopentium" option which disables the feature in question affected by
this hardware design flaw.  Also, if you are using the Athlon kernel,
please try to use the i386 kernel as well, as there are some other
problems with Athlon systems and VIA motherboards.

If you still encounter these problems, be sure you are using our most
recent kernel update for the distro.  Again, Nvidia binary drivers
are not supported, so please test the problem on a supported system.

Please reopen the bug report if the problem persists.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.